summaryrefslogtreecommitdiff
path: root/postfix
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2010-11-08 21:47:28 +0100
committerJonas Smedegaard <dr@jones.dk>2010-11-08 21:47:28 +0100
commit50be5f7c0f3d5b245da0c9ab640b6e86e8a612ea (patch)
tree580a6d19228f257b9f8a7684f729ebb6c0c8e73c /postfix
parent9ca589b71c148fe7bacd32e6708d8cbb283e956f (diff)
parent1d0139d9ab55d12e281da5fe5fc6a7e862f2a3ae (diff)
Merge branch 'master' of git://source.jones.dk/local-COMMON
Diffstat (limited to 'postfix')
-rwxr-xr-xpostfix/postfix.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/postfix/postfix.sh b/postfix/postfix.sh
index 102b8dc..21e6458 100755
--- a/postfix/postfix.sh
+++ b/postfix/postfix.sh
@@ -73,6 +73,7 @@ else
fi
catfilefromownrealm() {
+ set -e
file="$1"
[ -d "$realmsdir" ] || exit 0
@@ -82,6 +83,7 @@ catfilefromownrealm() {
}
catallfilesfromotherrealms() {
+ set -e
file="$1"
[ -d "$realmsdir" ] || exit 0
[ -f "$realmsdir/realms" ] || exit 0
@@ -97,6 +99,7 @@ catallfilesfromotherrealms() {
}
catfirstfile() {
+ set -e
file="$1"
configdir=''
for dir in $configdirs; do
@@ -112,6 +115,7 @@ catfirstfile() {
}
getlinesfromfile() {
+ set -e
param="$1"
shift
replacements=